don't build the blockly pugin, which may eventually be suggested as
a non-free package
Index: aseba-1.6.0/clients/studio/CMakeLists.txt
===================================================================
--- aseba-1.6.0.orig/clients/studio/CMakeLists.txt
+++ aseba-1.6.0/clients/studio/CMakeLists.txt
@@ -47,11 +47,13 @@ if (QT4_FOUND AND QT_QTWEBKIT_FOUND)
 	if (WIN32)
 		set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-Wl,-subsystem,console ${CMAKE_EXE_LINKER_FLAGS}")
 	endif (WIN32)
-	
-	if(UNIX AND NOT APPLE)
-		set(ASEBA_ENABLE_BLOCKLY_PLUGIN TRUE)
-		add_definitions(-DASEBA_ENABLE_BLOCKLY_PLUGIN)
-	endif(UNIX AND NOT APPLE)
+
+	################## blockly-plugin cannot be part of main #######
+	################## it may appear in non-free eventually  #######
+	#if(UNIX AND NOT APPLE)
+	#	set(ASEBA_ENABLE_BLOCKLY_PLUGIN TRUE)
+	#	add_definitions(-DASEBA_ENABLE_BLOCKLY_PLUGIN)
+	#endif(UNIX AND NOT APPLE)
 	
 	if (QWT_LIBRARIES AND QWT_INCLUDE_DIR)
 		include_directories (${QWT_INCLUDE_DIR})
Index: aseba-1.6.0/clients/studio/asebastudio.qrc
===================================================================
--- aseba-1.6.0.orig/clients/studio/asebastudio.qrc
+++ aseba-1.6.0/clients/studio/asebastudio.qrc
@@ -109,39 +109,9 @@
 	<file>images/vpl/missing_block.svgz</file>
 	<file>images/vpl/error.svgz</file>
 	<file>images/vpl/blink.svg</file>
-	<file>plugins/ThymioBlockly/blockly/tests/asebastudio.html</file>
-	<file>plugins/ThymioBlockly/blockly/tests/asebastudio.de.html</file>
-	<file>plugins/ThymioBlockly/blockly/tests/asebastudio.fr.html</file>
-	<file>plugins/ThymioBlockly/blockly/tests/asebastudio.es.html</file>
-	<file>plugins/ThymioBlockly/blockly/tests/asebastudio.it.html</file>
-	<file>plugins/ThymioBlockly/blockly/blockly_compressed.js</file>
-	<file>plugins/ThymioBlockly/blockly/blocks_compressed.js</file>
-	<file>plugins/ThymioBlockly/blockly/msg/js/en.js</file>
-	<file>plugins/ThymioBlockly/blockly/msg/js/de.js</file>
-	<file>plugins/ThymioBlockly/blockly/msg/js/fr.js</file>
-	<file>plugins/ThymioBlockly/blockly/msg/js/es.js</file>
-	<file>plugins/ThymioBlockly/blockly/msg/js/it.js</file>
-	<file>plugins/ThymioBlockly/blockly/aesl_compressed.js</file>
-	<file>plugins/ThymioBlockly/blockly/overrides_compressed.js</file>
-	<file>plugins/ThymioBlockly/blockly/media/1x1.gif</file>
-	<file>plugins/ThymioBlockly/blockly/media/anon.jpeg</file>
-	<file>plugins/ThymioBlockly/blockly/media/click.mp3</file>
-	<file>plugins/ThymioBlockly/blockly/media/click.ogg</file>
-	<file>plugins/ThymioBlockly/blockly/media/click.wav</file>
-	<file>plugins/ThymioBlockly/blockly/media/delete.mp3</file>
-	<file>plugins/ThymioBlockly/blockly/media/delete.ogg</file>
-	<file>plugins/ThymioBlockly/blockly/media/delete.wav</file>
-	<file>plugins/ThymioBlockly/blockly/media/disconnect.mp3</file>
-	<file>plugins/ThymioBlockly/blockly/media/disconnect.ogg</file>
-	<file>plugins/ThymioBlockly/blockly/media/disconnect.wav</file>
-	<file>plugins/ThymioBlockly/blockly/media/handclosed.cur</file>
-	<file>plugins/ThymioBlockly/blockly/media/handdelete.cur</file>
-	<file>plugins/ThymioBlockly/blockly/media/handopen.cur</file>
-	<file>plugins/ThymioBlockly/blockly/media/icons.svg</file>
-	<file>plugins/ThymioBlockly/blockly/media/progress.gif</file>
-	<file>plugins/ThymioBlockly/blockly/media/quote0.png</file>
-	<file>plugins/ThymioBlockly/blockly/media/quote1.png</file>
-	<file>plugins/ThymioBlockly/blockly/media/sprites.png</file>
-	<file>plugins/ThymioBlockly/blockly/media/sprites.svg</file>
+	
+	<!-- do not build anything coming from blocly since it will -->
+	<!-- be done in another optional package in debian/non-free -->
+
 </qresource>
 </RCC>
